| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::BaseConnectionContactListInterface Class Reference
Service-side implementation » Connection manager service implementation

Base class for implementations of Connection.Interface.ContactList. More...

`#include <TelepathyQt/BaseConnection>`

Inheritance diagram for Tp::BaseConnectionContactListInterface:
[legend]

## Public Types

typedef Callback3< Tp::ContactAttributesMap, const QStringList &, bool, DBusError * > | GetContactListAttributesCallback
typedef Callback3< void, const Tp::UIntList &, const QString &, DBusError * > | RequestSubscriptionCallback
typedef Callback2< void, const Tp::UIntList &, DBusError * > | AuthorizePublicationCallback
typedef Callback2< void, const Tp::UIntList &, DBusError * > | RemoveContactsCallback
typedef Callback2< void, const Tp::UIntList &, DBusError * > | UnsubscribeCallback
typedef Callback2< void, const Tp::UIntList &, DBusError * > | UnpublishCallback
typedef Callback1< void, DBusError * > | DownloadCallback

## Public Member Functions

virtual | ~BaseConnectionContactListInterface ()
QVariantMap | immutableProperties () const
uint | contactListState () const
void | setContactListState (uint contactListState)
bool | contactListPersists () const
void | setContactListPersists (bool contactListPersists)
bool | canChangeContactList () const
void | setCanChangeContactList (bool canChangeContactList)
bool | requestUsesMessage () const
void | setRequestUsesMessage (bool requestUsesMessage)
bool | downloadAtConnection () const
void | setDownloadAtConnection (bool downloadAtConnection)
void | setGetContactListAttributesCallback (const GetContactListAttributesCallback &cb)
Tp::ContactAttributesMap | getContactListAttributes (const QStringList &interfaces, bool hold, DBusError *error)
void | setRequestSubscriptionCallback (const RequestSubscriptionCallback &cb)
void | requestSubscription (const Tp::UIntList &contacts, const QString &message, DBusError *error)
void | setAuthorizePublicationCallback (const AuthorizePublicationCallback &cb)
void | authorizePublication (const Tp::UIntList &contacts, DBusError *error)
void | setRemoveContactsCallback (const RemoveContactsCallback &cb)
void | removeContacts (const Tp::UIntList &contacts, DBusError *error)
void | setUnsubscribeCallback (const UnsubscribeCallback &cb)
void | unsubscribe (const Tp::UIntList &contacts, DBusError *error)
void | setUnpublishCallback (const UnpublishCallback &cb)
void | unpublish (const Tp::UIntList &contacts, DBusError *error)
void | setDownloadCallback (const DownloadCallback &cb)
void | download (DBusError *error)
void | contactsChangedWithID (const Tp::ContactSubscriptionMap &changes, const Tp::HandleIdentifierMap &identifiers, const Tp::HandleIdentifierMap &removals)
Public Member Functions inherited from Tp::AbstractConnectionInterface
| AbstractConnectionInterface (const QString &interfaceName)
virtual | ~AbstractConnectionInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions

static BaseConnectionContactListInterfacePtr | create ()
template<typename BaseConnectionContactListInterfaceSubclass >
static SharedPtr< BaseConnectionContactListInterfaceSubclass > | create ()
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)

## Protected Member Functions

| BaseConnectionContactListInterface ()
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)

## Additional Inherited Members

Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

Base class for implementations of Connection.Interface.ContactList.

## Member Typedef Documentation

typedef Callback3<Tp::ContactAttributesMap, const QStringList &, bool, DBusError*> Tp::BaseConnectionContactListInterface::GetContactListAttributesCallback

typedef Callback3<void, const Tp::UIntList &, const QString &, DBusError*> Tp::BaseConnectionContactListInterface::RequestSubscriptionCallback

typedef Callback2<void, const Tp::UIntList &, DBusError*> Tp::BaseConnectionContactListInterface::AuthorizePublicationCallback

typedef Callback2<void, const Tp::UIntList &, DBusError*> Tp::BaseConnectionContactListInterface::RemoveContactsCallback

typedef Callback2<void, const Tp::UIntList &, DBusError*> Tp::BaseConnectionContactListInterface::UnsubscribeCallback

typedef Callback2<void, const Tp::UIntList &, DBusError*> Tp::BaseConnectionContactListInterface::UnpublishCallback

typedef Callback1<void, DBusError*> Tp::BaseConnectionContactListInterface::DownloadCallback

## Constructor & Destructor Documentation

Tp::BaseConnectionContactListInterface::~BaseConnectionContactListInterface | ( |  | ) |

virtual

Class destructor.

Tp::BaseConnectionContactListInterface::BaseConnectionContactListInterface | ( |  | ) |

protected

Class constructor.

## Member Function Documentation

static BaseConnectionContactListInterfacePtr Tp::BaseConnectionContactListInterface::create | ( |  | ) |

inline static

template<typename BaseConnectionContactListInterfaceSubclass >

static SharedPtr<BaseConnectionContactListInterfaceSubclass> Tp::BaseConnectionContactListInterface::create | ( |  | ) |

inline static

QVariantMap Tp::BaseConnectionContactListInterface::immutableProperties | ( |  | ) | const

virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

uint Tp::BaseConnectionContactListInterface::contactListState | ( |  | ) | const

void Tp::BaseConnectionContactListInterface::setContactListState | ( | uint | contactListState | ) |

bool Tp::BaseConnectionContactListInterface::contactListPersists | ( |  | ) | const

void Tp::BaseConnectionContactListInterface::setContactListPersists | ( | bool | contactListPersists | ) |

bool Tp::BaseConnectionContactListInterface::canChangeContactList | ( |  | ) | const

void Tp::BaseConnectionContactListInterface::setCanChangeContactList | ( | bool | canChangeContactList | ) |

bool Tp::BaseConnectionContactListInterface::requestUsesMessage | ( |  | ) | const

void Tp::BaseConnectionContactListInterface::setRequestUsesMessage | ( | bool | requestUsesMessage | ) |

bool Tp::BaseConnectionContactListInterface::downloadAtConnection | ( |  | ) | const

void Tp::BaseConnectionContactListInterface::setDownloadAtConnection | ( | bool | downloadAtConnection | ) |

void Tp::BaseConnectionContactListInterface::setGetContactListAttributesCallback | ( | const GetContactListAttributesCallback & | cb | ) |

Tp::ContactAttributesMap Tp::BaseConnectionContactListInterface::getContactListAttributes | ( | const QStringList & | interfaces,
|  | bool | hold,
|  | DBusError * | error
| ) |  |

void Tp::BaseConnectionContactListInterface::setRequestSubscriptionCallback | ( | const RequestSubscriptionCallback & | cb | ) |

void Tp::BaseConnectionContactListInterface::requestSubscription | ( | const Tp::UIntList & | contacts,
|  | const QString & | message,
|  | DBusError * | error
| ) |  |

void Tp::BaseConnectionContactListInterface::setAuthorizePublicationCallback | ( | const AuthorizePublicationCallback & | cb | ) |

void Tp::BaseConnectionContactListInterface::authorizePublication | ( | const Tp::UIntList & | contacts,
|  | DBusError * | error
| ) |  |

void Tp::BaseConnectionContactListInterface::setRemoveContactsCallback | ( | const RemoveContactsCallback & | cb | ) |

void Tp::BaseConnectionContactListInterface::removeContacts | ( | const Tp::UIntList & | contacts,
|  | DBusError * | error
| ) |  |

void Tp::BaseConnectionContactListInterface::setUnsubscribeCallback | ( | const UnsubscribeCallback & | cb | ) |

void Tp::BaseConnectionContactListInterface::unsubscribe | ( | const Tp::UIntList & | contacts,
|  | DBusError * | error
| ) |  |

void Tp::BaseConnectionContactListInterface::setUnpublishCallback | ( | const UnpublishCallback & | cb | ) |

void Tp::BaseConnectionContactListInterface::unpublish | ( | const Tp::UIntList & | contacts,
|  | DBusError * | error
| ) |  |

void Tp::BaseConnectionContactListInterface::setDownloadCallback | ( | const DownloadCallback & | cb | ) |

void Tp::BaseConnectionContactListInterface::download | ( | DBusError * | error | ) |

void Tp::BaseConnectionContactListInterface::contactsChangedWithID | ( | const Tp::ContactSubscriptionMap & | changes,
|  | const Tp::HandleIdentifierMap & | identifiers,
|  | const Tp::HandleIdentifierMap & | removals
| ) |  |